var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from "react";
import { useClassNames } from "../utils";
var Avatar = function (props) {
    var _a = props.componentClass, Component = _a === void 0 ? "div" : _a, _b = props.classPrefix, classPrefix = _b === void 0 ? "avatar" : _b, className = props.className, children = props.children, src = props.src, _c = props.circle, circle = _c === void 0 ? false : _c, _d = props.size, size = _d === void 0 ? "md" : _d, style = props.style, color = props.color, rest = __rest(props, ["componentClass", "classPrefix", "className", "children", "src", "circle", "size", "style", "color"]);
    var _e = useClassNames(classPrefix), merge = _e.merge, withClassPrefix = _e.withClassPrefix;
    var classes = merge(className, withClassPrefix(size, color, { circle: circle, photo: src }));
    var avatarPhotoStyles = __assign(__assign({}, style), { backgroundImage: "url(" + src + ")" });
    if (src) {
        return (React.createElement(Component, __assign({ className: classes, style: avatarPhotoStyles }, rest)));
    }
    return (React.createElement(Component, __assign({ className: classes, style: style }, rest), children));
};
Avatar.defaultProps = {
    size: "md",
    circle: false
};
export default Avatar;
