var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from "react";
import { useClassNames } from "../utils";
var Card = function (props) {
    var _a = props.componentClass, Component = _a === void 0 ? "div" : _a, children = props.children, _b = props.classPrefix, classPrefix = _b === void 0 ? "card" : _b, className = props.className, _c = props.border, border = _c === void 0 ? true : _c, _d = props.shadow, shadow = _d === void 0 ? true : _d, _e = props.size, size = _e === void 0 ? "md" : _e, rest = __rest(props, ["componentClass", "children", "classPrefix", "className", "border", "shadow", "size"]);
    var _f = useClassNames(classPrefix), merge = _f.merge, withClassPrefix = _f.withClassPrefix;
    var classes = merge(className, withClassPrefix(size, { border: border, shadow: shadow }));
    return (React.createElement(Component, __assign({}, rest, { className: classes }), children));
};
Card.defaultProps = {
    border: true,
    shadow: true,
    size: "md"
};
export default Card;
