import React, { HTMLAttributes } from "react";
import { CommonProps } from "../@types/common";
export interface FormProps extends CommonProps, HTMLAttributes<HTMLFormElement> {
    /** Set form with to the parent node of form */
    fluid?: boolean;
    /** Form layout */
    layout?: "horizontal" | "vertical";
}
declare const Form: React.FC<FormProps>;
export default Form;
