var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from "react";
import { useClassNames } from "../utils";
var Form = function (props) {
    var _a = props.classPrefix, classPrefix = _a === void 0 ? "form" : _a, children = props.children, className = props.className, fluid = props.fluid, layout = props.layout, rest = __rest(props, ["classPrefix", "children", "className", "fluid", "layout"]);
    var _b = useClassNames(classPrefix), merge = _b.merge, withClassPrefix = _b.withClassPrefix;
    var classes = merge(className, withClassPrefix(layout, { fluid: fluid }));
    return (React.createElement("form", __assign({ className: classes }, rest), children));
};
export default Form;
