import React from "react";
import { CommonProps, TypeAttributes } from "../@types/common";
export declare const FormGroupField: React.ForwardRefExoticComponent<Pick<import("../@types/common").WithComponentAs<React.ElementType<any>> & React.HTMLAttributes<HTMLDivElement>, string | number> & React.RefAttributes<unknown>>;
export declare const ErrorField: React.ForwardRefExoticComponent<Pick<import("../@types/common").WithComponentAs<React.ElementType<any>> & React.HTMLAttributes<HTMLDivElement>, string | number> & React.RefAttributes<unknown>>;
export interface FormGroupProps extends CommonProps {
    size?: TypeAttributes.Size;
    label?: React.ReactNode;
    labelClassName?: string;
    labelStyle?: React.CSSProperties;
    id?: string;
    inline?: boolean;
    hasError?: boolean;
    errorMessage?: string;
}
declare const FormGroup: React.FC<FormGroupProps>;
export default FormGroup;
