var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from "react";
import { useClassNames } from "../utils";
import MainHeader from "./MainHeader";
import HeaderIcon from "./HeaderIcon";
import HeaderExtra from "./HeaderExtra";
var Header = function (props) {
    var _a = props.componentClass, Component = _a === void 0 ? "div" : _a, _b = props.classPrefix, classPrefix = _b === void 0 ? "page-header" : _b, className = props.className, title = props.title, renderTitle = props.renderTitle, navigation = props.navigation;
    var _c = useClassNames(classPrefix), merge = _c.merge, withClassPrefix = _c.withClassPrefix;
    var classes = merge(className, withClassPrefix({}));
    var mainHeaderProps = {
        title: title,
        navigation: navigation,
        renderTitle: renderTitle
    };
    return (React.createElement(Component, { className: classes },
        React.createElement(HeaderIcon, null, "Icon Header"),
        React.createElement(MainHeader, __assign({}, mainHeaderProps)),
        React.createElement(HeaderExtra, null, "header extra")));
};
Header.defaultProps = {
    componentClass: "div",
    classPrefix: "page-header"
};
export default Header;
