import React, { HTMLAttributes } from "react";
import { CommonProps, TypeAttributes } from "../@types/common";
export interface InputProps extends CommonProps, HTMLAttributes<HTMLInputElement> {
    /** Input size */
    size?: TypeAttributes.Size;
    /** Validation style of input element*/
    hasError?: boolean;
}
declare const Input: React.FC<InputProps>;
export default Input;
