import React from "react";
import { CommonProps } from "../@types/common";
export interface NavItemProps extends CommonProps {
    /** Use custom element for this element */
    componentClass?: React.ElementType;
    /** The speficied path url */
    href?: string;
    /** The active option*/
    active?: boolean;
    /** The icon berfore the children */
    iconBefore?: React.ReactNode;
    /** The icon after the children */
    iconAfter?: React.ReactNode;
}
declare const NavItem: React.FC<NavItemProps>;
export default NavItem;
