var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from "react";
import { Anchor } from "..";
import { createComponent, useClassNames } from "../utils";
// Create commponent for wrapping the nav options
var NavigationItemWrapper = createComponent({ name: "NavItem", as: "div" });
// Create component for icon before
var IconBefore = createComponent({ name: "NavIconBefore", as: "div" });
// Create component for icon after
var IconAfter = createComponent({ name: "NavIconAfter", as: "div" });
var NavItem = function (props) {
    var _a = props.classComponent, Component = _a === void 0 ? Anchor : _a, children = props.children, className = props.className, _b = props.classPrefix, classPrefix = _b === void 0 ? "nav-item-option" : _b, iconBefore = props.iconBefore, iconAfter = props.iconAfter, active = props.active, rest = __rest(props, ["classComponent", "children", "className", "classPrefix", "iconBefore", "iconAfter", "active"]);
    var _c = useClassNames(classPrefix), merge = _c.merge, withClassPrefix = _c.withClassPrefix;
    var classes = merge(className, withClassPrefix({ active: active }));
    var setIconBefore = iconBefore && React.createElement(IconBefore, null, iconBefore);
    var setIconAfter = iconAfter && React.createElement(IconAfter, null, iconBefore);
    return (React.createElement(NavigationItemWrapper, null,
        React.createElement(Component, __assign({ className: classes }, rest),
            setIconBefore,
            children,
            setIconAfter)));
};
NavItem.displayName = "NavItemOption";
export default NavItem;
