var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import classNames from "classnames";
import React from "react";
import { useClassNames } from "../utils";
var SidebarFooter = function (props) {
    var _a = props.componentClass, Component = _a === void 0 ? "div" : _a, children = props.children, _b = props.classPrefix, classPrefix = _b === void 0 ? "sidebar-footer" : _b, rest = __rest(props, ["componentClass", "children", "classPrefix"]);
    var _c = useClassNames(classPrefix), merge = _c.merge, withClassPrefix = _c.withClassPrefix;
    var classes = merge(classNames, withClassPrefix());
    return (React.createElement(Component, __assign({ className: classes }, rest), children));
};
SidebarFooter.defaultProps = {
    classPrefix: 'sidebar-footer',
    componentClass: 'div'
};
export default SidebarFooter;
