import SidebarComponent from "./Sidebar";
import SidebarContent from "./SidebarContent";
import SidebarFooter from "./SidebarFooter";
import SidebarHeader from "./SidebarHeader";
declare type SidebarType = typeof SidebarComponent;
interface Sidebar extends SidebarType {
    Header: typeof SidebarHeader;
    Content: typeof SidebarContent;
    Footer: typeof SidebarFooter;
}
declare const Sidebar: Sidebar;
export default Sidebar;
export * from "./Sidebar";
