"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _utils = require("../utils");

var Form = function Form(props) {
  var _props$classPrefix = props.classPrefix,
      classPrefix = _props$classPrefix === void 0 ? "form" : _props$classPrefix,
      children = props.children,
      className = props.className,
      fluid = props.fluid,
      layout = props.layout,
      rest = (0, _objectWithoutPropertiesLoose2.default)(props, ["classPrefix", "children", "className", "fluid", "layout"]);

  var _useClassNames = (0, _utils.useClassNames)(classPrefix),
      merge = _useClassNames.merge,
      withClassPrefix = _useClassNames.withClassPrefix;

  var classes = merge(className, withClassPrefix(layout, {
    fluid: fluid
  }));
  return /*#__PURE__*/_react.default.createElement("form", (0, _extends2.default)({
    className: classes
  }, rest), children);
};

var _default = Form;
exports.default = _default;