import React from "react";
import { CommonProps, TypeAttributes } from "../@types/common";
export interface AvatarProps extends CommonProps {
    /** The specified path to the image or photo */
    src?: string;
    /** The circle shape of the avatar */
    circle?: boolean;
    /** Size of the avatar */
    size?: TypeAttributes.Size;
    /** Backgorund color of the avatar*/
    color?: TypeAttributes.Color;
}
declare const Avatar: React.FC<AvatarProps>;
export default Avatar;
