var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React from "react";
import Anchor from "../Anchor/Anchor";
import { useClassNames } from "../utils";
var Button = function (props) {
    var active = props.active, _a = props.appearance, appearance = _a === void 0 ? "default" : _a, _b = props.componentClass, Component = _b === void 0 ? "button" : _b, children = props.children, _c = props.classPrefix, classPrefix = _c === void 0 ? "btn" : _c, color = props.color, className = props.className, disabled = props.disabled, href = props.href, loading = props.loading, block = props.block, size = props.size, type = props.type, rest = __rest(props, ["active", "appearance", "componentClass", "children", "classPrefix", "color", "className", "disabled", "href", "loading", "block", "size", "type"]);
    var _d = useClassNames(classPrefix), withClassPrefix = _d.withClassPrefix, prefix = _d.prefix, merge = _d.merge;
    var classes = merge(className, withClassPrefix(appearance, color, size, {
        active: active,
        disabled: disabled,
        loading: loading,
        block: block
    }));
    var spin = React.createElement("span", { className: prefix(templateObject_1 || (templateObject_1 = __makeTemplateObject(["spiner"], ["spiner"]))) });
    if (href) {
        return (React.createElement(Anchor, __assign({ href: href }, rest), children));
    }
    return (React.createElement(Component, __assign({ className: classes, type: type }, rest),
        loading && spin,
        children));
};
Button.defaultProps = {
    active: false,
    size: "md",
    loading: false,
    classPrefix: "btn",
    appearance: "default",
    componentClass: "button",
    disabled: false,
    type: "button"
};
export default Button;
var templateObject_1;
