import CardComponent from "./Card";
import CardBody from "./CardBody";
import CardFooter from "./CardFooter";
import CardImage from "./CardImage";
declare type CardType = typeof CardComponent;
interface Card extends CardType {
    Image: typeof CardImage;
    Body: typeof CardBody;
    Footer: typeof CardFooter;
}
declare const Card: Card;
export default Card;
export * from "./Card";
