import React, { SyntheticEvent } from "react";
import { CommonProps } from "../@types/common";
export interface DropdownToggleProps extends CommonProps {
    /** Render custom toggle component */
    renderToggle?: (children: React.ReactNode) => React.ReactNode;
    /** On click event */
    onClick?: (event: SyntheticEvent) => void;
}
declare const DropdownToggle: React.ForwardRefExoticComponent<Pick<DropdownToggleProps, string | number> & React.RefAttributes<unknown>>;
export default DropdownToggle;
