import React from "react";
import { CommonProps } from "../@types/common";
export interface NavProps extends CommonProps {
    /** You can use custom element for this component */
    componentClass?: React.ElementType;
    /** Navigation appearance */
    appearance?: "default" | "tabs" | "subtle";
    /** Justified navigation */
    justified?: boolean;
    /** Direction appearance of navigation it can be vertical or horizontal, default to horizontal*/
    direction?: "horizontal" | "vertical";
}
declare const Nav: {
    (props: NavProps): JSX.Element;
    defaultProps: {
        componentClass: string;
        classPrefix: string;
        appearance: string;
        direction: string;
    };
};
export default Nav;
