import React from "react";
import { CommonProps } from "../@types/common";
export declare const PageContext: React.Context<PageContextValue>;
interface PageContextValue {
    setHasSidebar?: (value: boolean) => void;
}
export interface PageProps extends CommonProps, React.HtmlHTMLAttributes<HTMLDivElement> {
    /** The prefix of component CSS class */
    classPrefix?: string;
    /** Use a custom element for this component */
    componentClass?: React.ElementType;
}
declare const Page: React.FC<PageProps>;
export default Page;
