var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useState } from "react";
import { useClassNames } from "../utils";
import PageMain from "./PageMain";
import PageMainLayer from "./PageMainLayer";
export var PageContext = React.createContext({});
var Page = function (props) {
    var _a = props.componentClass, Component = _a === void 0 ? "div" : _a, children = props.children, className = props.className, _b = props.classPrefix, classPrefix = _b === void 0 ? "page" : _b, rest = __rest(props, ["componentClass", "children", "className", "classPrefix"]);
    var _c = useState(false), hasSidebar = _c[0], setHasSidebar = _c[1];
    var _d = useClassNames(classPrefix), withClassPrefix = _d.withClassPrefix, merge = _d.merge;
    var classnames = merge(className, withClassPrefix({ "has-sidebar": hasSidebar }));
    return (React.createElement(PageContext.Provider, { value: { setHasSidebar: setHasSidebar } },
        React.createElement(Component, __assign({ className: classnames }, rest),
            React.createElement(PageMain, null,
                React.createElement(PageMainLayer, null, children)))));
};
export default Page;
