import React from "react";
import { CommonProps } from "../@types/common";
export interface SidebarProps extends CommonProps {
    /** Use custom element for this component */
    componentClass?: React.ElementType;
    /** The main content */
    children?: React.ReactNode;
    /** The prefix of component CSS class */
    classPrefix?: string;
    /** The sidebar can be collapsible */
    collapsible?: boolean;
    /** The width of the sidebar */
    width?: number;
}
declare const Sidebar: {
    (props: SidebarProps): JSX.Element;
    defaultProps: {
        width: number;
        classPrefix: string;
        componentClass: string;
    };
};
export default Sidebar;
