import React from "react";
import { CommonProps } from "../@types/common";
export interface SidebarFooterProps extends CommonProps {
    /** The prefix of component CSS class */
    classPrefix?: string;
    /** The main content */
    children?: React.ReactNode;
    /** Use custom element for this component */
    componentClass?: React.ElementType;
}
declare const SidebarFooter: {
    (props: SidebarFooterProps): JSX.Element;
    defaultProps: {
        classPrefix: string;
        componentClass: string;
    };
};
export default SidebarFooter;
