import React from "react";
import { CommonProps } from "../@types/common";
export interface SidebarHeaderProps extends CommonProps {
    /** The main content of the component */
    children?: React.ReactNode;
    /** The prefix of component CSS class */
    classPrefix?: string;
    /** Use custom element for this component */
    componentClass?: React.ElementType;
}
declare const SidebarHeader: {
    (props: SidebarHeaderProps): JSX.Element;
    defualtProps: {
        componentClass: string;
        classPrefix: string;
    };
};
export default SidebarHeader;
