"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = void 0;

var _extends2 = _interopRequireDefault(require("@babel/runtime/helpers/extends"));

var _objectWithoutPropertiesLoose2 = _interopRequireDefault(require("@babel/runtime/helpers/objectWithoutPropertiesLoose"));

var _react = _interopRequireDefault(require("react"));

var _utils = require("../utils");

var TopNavigation = function TopNavigation(props) {
  var _props$componentClass = props.componentClass,
      Component = _props$componentClass === void 0 ? "header" : _props$componentClass,
      topbar = props.topbar,
      header = props.header,
      className = props.className,
      _props$shadow = props.shadow,
      shadow = _props$shadow === void 0 ? true : _props$shadow,
      _props$classPrefix = props.classPrefix,
      classPrefix = _props$classPrefix === void 0 ? "top-navigation" : _props$classPrefix,
      rest = (0, _objectWithoutPropertiesLoose2.default)(props, ["componentClass", "topbar", "header", "className", "shadow", "classPrefix"]);

  var _useClassNames = (0, _utils.useClassNames)(classPrefix),
      merge = _useClassNames.merge,
      withClassPrefix = _useClassNames.withClassPrefix;

  var classes = merge(className, withClassPrefix({
    shadow: shadow
  }));
  return /*#__PURE__*/_react.default.createElement(Component, (0, _extends2.default)({
    className: classes
  }, rest), header, topbar);
};

var _default = TopNavigation;
exports.default = _default;